دوره جامع سئو وردپرس

تبلیغات
طراحی و بهینه سازیمشاهده


هاست

دریافت “هشدار قدیمی بودن نسخه PHP هاست” در وردپرس 5.1

مقالات,آموزش,ترفند , وردپرس

حتما می‌دانید برای اینکه بتوانید یک سایت وردپرسی را راه‌اندازی کنید نیازمند یک سری پیش‌نیازهایی در هاست خود خواهید بود. مثلا اینکه هاست شما لینوکسی باشد بهتر است، از Mysql پشتیبانی کند و همچنین از PHP پشتیبانی کند. معمولا سرورها نسخه‌های مختلفی از php را ارائه می‌دهند که اگر خیلی این ورژن پایین نباشد مشکلی در نصب وردپرس ایجاد نمی‌شود. اما…

 

در نسخه ی ۵٫۱ وردپرس و نسخه‌های بعدی آن، مدیران سایت در پیشخوان وردپرس، پیام‌ها و اخطار‌هایی مبنی بر قدیمی بودن نسخه PHP هاست خود دریافت می‌کنند. جای نگرانی نیست! برعکس، اتفاق خوبیست.

 

قدیمی بودن نسخه PHP هاست

این ویژگی جدید وردپرس، باعث افزایش امنیت و بهبود عملکرد سایت‌ها به ویژه وردپرس خواهد شد. در حال حاضر، اگر نسخه PHP هاست یا سرور شما کمتر از ۵٫۶ باشد، هشدار قدیمی بودن نسخه PHP هاست را از سوی وردپرس دریافت خواهید کرد.

دریافت “هشدار قدیمی بودن نسخه PHP هاست” در وردپرس 5.1

در حالی که کمترین نسخه‌ای از PHP که در حال حاضر پشتیبانی می شود و به روز رسانی های امنیتی دریافت می کند، نسخه ۷٫۱ است، ایده ما این است که نباید محدودیتی از طرف پشتیبانی وجود داشته باشد. PHP 5.6 هنوز هم جزو نسخه‌های پیشنهادی برای برآورده کردن نیازهای وردپرس و اجرای بهتر آن است. همان‌طور که گفتیم، نسخه ۵٫۶، آستانه دریافت هشدار قدیمی بودن نسخه PHP هاست به شمار می‌آید و ممکن است در آینده، این آستانه افزایش یابد.

دریافت “هشدار قدیمی بودن نسخه PHP هاست” در وردپرس 5.1

مشاهده ورژن پی اچ پی

لینکی که با کلیک کردن روی دکمه Learn more about updating PHP وارد آن خواهید شد، صفحه‌ای است که به طور واضح این مشکل را برای شما توضیح می‌دهد و راه‌حل آن نیز به شما نشان می‌دهد تا بتوانید نسخه PHP را بروزرسانی کنید.  این لینک قابلیت شخصی‌سازی دارد و شرکت‌های هاستینگ می‌توانند این لینک را با استفاده از متغیر (Environment (WP_UPDATE_PHP_URL تغییر دهند تا به کاربران نمایش داده شود. این کار باید زمانی انجام شود که منبع آموزشی خوبی برای بروزرسانی PHP در زبان شما وجود داشته باشد. همانطور که در عکس زیر می بیند، اگر این لینک عوض شد، باز هم نسخه اصلی آموزش آن که در سایت اصلی وردپرس وجود دارد، در دسترس همه کاربران خواهد بود.

دریافت “هشدار قدیمی بودن نسخه PHP هاست” در وردپرس 5.1

جلوگیری از Fatal Error

برای کمک به حل مشکلات و خطاهایی که پس از بروزرسانی PHP ظاهر می‌شوند، در وردپرس، مکانیسمی برای تشخیص Fatal Error ها پیاده‌سازی شده است. در حالی که اکثر قالب‌ها و افزونه‌ها با آپدیت PHP دچار مشکل نمی‌شوند، اما هنوز هم برخی از افزونه‌ها و قالب‌ها هستند که با نسخه‌های جدید PHP به خوبی هماهنگ نیستند و در عملکرد آن‌ها اختلال ایجاد می‌شود. متاسفانه این امر باعث می‌شود به خاطر عدم پشتیبانی قالب یا افزونه از نسخه‌های جدید PHP، کل سایت از دسترس خارج شود و شما با خطای Fatal مواجه شوید.

 

چگونه خطاها را برطرف کنیم؟

با استفاده از محافظ (WSOD (white-screen-of-death protection، وردپرس متوجه خواهد شد که چه زمانی Fatal Error رخ داده است و کدام یک از قالب یا افزونه‌ها باعث این خطا شده‌اند و آن‌ها را شناسایی خواهد کرد. هنگامی که به پیشخوان وردپرس مراجعه کنید، قالب و افزونه مربوطه غیر فعال خواهد شد تا کاربران بتوانند مشکل را (حداقل به طور موقت) حل کنند. این قالب یا افزونه‌ها فقط در پنل مدیریتی و backend غیر فعال خواهند شد که در ظاهر یا frontend بی‌تاثیر است اما همین بی‌تاثیر بودن هم خطرناک است. همین که کاربر ببیند سایتش در دسترس نیست و تغییری ایجاد شده است، می‌تواند برای حل مشکل سریع‌تر اقدام کند. WSOD این امکان را فراهم می‌کند تا زمانی که سایت شما به مشکلی برخورد، صفحه‌ای مانند زیر نمایش داده شود تا با استفاده از لینک پایین این صفحه، مدیر سایت نسبت به حل مشکل اقدام نماید.

دریافت “هشدار قدیمی بودن نسخه PHP هاست” در وردپرس 5.1

توجه داشته باشید که دلیل اصلی پیاده‌سازی این سیستم، کاهش خطرات ناشی از بروزرسانی PHP بوده است و Fatal Errorها را در حین انجام هر عملیاتی شناسایی می‌کند اما به خود بروزرسانی کاری ندارد.

 

سایت‌هایی که نمی‌خواهند از این ویژگی استفاده کنند…

سایت هایی که نمی‌خواهند از این ویژگی استفاده کنند و مایل به حذف محافظ WSOD هستند، می‌توانند یک فایل به نام fatal-error-handler.php ایجاد کرده که باید شامل یک class سفارشی برای مواجه با Fatal Error باشد. برای اینکه کلا این ویژگی غیرفعال شود، می‌توان از فیلتر WP_DISABLE_FATAL_ERROR_HANDLER استفاده کرد.

 

تشخیص نسخه PHP مورد نیاز افزونه هنگام نصب آن

وردپرس ۵٫۱ هنگام نصب افزونه جدید، برای آن دسته از افزونه‌هایی که به نسخه‌ی PHP بالاتری نسبت به نسخه‌ای که روی سرور شما نصب است نیاز دارند، هشداری با مضمون “قدیمی بودن نسخه PHP هاست” به کاربران می‌دهد تا با عدم سازگاری افزونه مورد نظرشان با نسخه PHP سرور خود با خبر شوند. تا کنون هم هر افزونه‌ای که می‌خواستیم نصب کنیم، وردپرس سازگاری یا عدم سازگاری افزونه را با نسخه فعلی وردپرس به ما نمایش می‌داد. حال چنین امکانی برای نسخه PHP نیز فراهم شده است. از این به بعد سازگاری افزونه‌ها با نسخه وردپرس و PHP شما برای وردپرس حائز اهمیت است و اگر این سازگاری و هماهنگی وجود نداشته باشد، دکمه نصب هم غیر فعال خواهد شد! (این‌بار وردپرس شمشیر را از رو بسته، پس باید قدیمی بودن نسخه PHP هاست را برطرف کرد.)

 

کلام آخر

بروزرسانی php که ویژگی جدید وردپرس در نسخه ۵٫۱ است، نخستین گام محدودیت سازگاری نسخه‌های مختلف است و در آینده این محدودیت در هنگام بروز کردن قالب و افزونه‌ها و همچنین هنگام فعال‌سازی آن‌ها اعمال خواهد شد و به زودی قالب‌ها را نیز فرا خواهد گرفت. بی‌صبرانه منتظر این آپدیت کاربردی هستیم


دانلود


چک لیست جدید 2019 برای رسیدن به رتبه اول گوگل


مطلب مفیدی بود ؟
نویسنده : mohammad 0 مقالات,آموزش,ترفند , وردپرس

لینک کوتاه مطلب : https://www.20script.ir/?p=41881

کلمات کلیدی پست :
درگاه پرداخت
مطالب مرتبط
960اولین نسخه بتای وردپرس 5.2 در دسترس کاربران قرار گرفت تاریخ : 1398/01/16
2,096پس از انتشار نسخه جدید وردپرس باید چه کرد؟ تاریخ : 1397/05/11
1,736وردپرس 5.0.2 با هدف تعمیر و نگهداری منتشر شد تاریخ : 1397/10/5
1,676در وردپرس 5.1 با چه تغییراتی مواجه می‌شویم؟ تاریخ : 1397/11/15
2,156وردپرس ۵٫۰ و تغییرات احتمالی آن تاریخ : 1397/07/12
1,120به عنوان کاربر وردپرس چه قابلیت هایی از وردپرس 5.2 انتظار دارید؟ تاریخ : 1397/12/25
2,724تغییرات وردپرس نسخه 4.9.8 تاریخ : 1397/06/1
608وردپرس 5.2.2 منتشر شد تاریخ : 1398/04/6
4,3534 افزونه وقایع نگاری فعالیت کاربران در پیشخوان وردپرس تاریخ : 1395/02/12
1,292کاندید نهایی (شماره۱) وردپرس ۵٫۰ تاریخ : 1397/09/25
1,136بررسی عملکرد افزونه Yoast SEO در وردپرس ۵ تاریخ : 1397/11/6
1,780وردپرس 5.0.1 با هدف حفظ ایمنی بیشتر، منتشر شد تاریخ : 1397/09/26
برخی از قالب های وبلاگ - بیست اسکریپت
قالب عشق بین انگشت ها
قالب دخترونه و آرایش
قالب زیبای ماشین
قالب فانتزی و طنز چِشم
قالب دختر رویایی
قالب وبلاگ دکوراسیون
قالب وبلاگ کلبه و درخت
قالب دختر زیبا
قالب پسرونه غمگین
قالب عاشقانه قلب